| Home | Libraries | People | FAQ | More

## Struct template is_map<icl::interval_map< DomainT, CodomainT, Traits, Compare, Combine, Section, Interval, Alloc >>

boost::icl::is_map<icl::interval_map< DomainT, CodomainT, Traits, Compare, Combine, Section, Interval, Alloc >>

## Synopsis

    // In header: <boost/icl/interval_map.hpp>

    template<typename DomainT, typename CodomainT, typename Traits,
             ICL_COMPARE Compare, ICL_COMBINE Combine, ICL_SECTION Section,
             ICL_INTERVAL(ICL_COMPARE) Interval, ICL_ALLOC Alloc>
    struct is_map<icl::interval_map< DomainT, CodomainT, Traits, Compare, Combine, Section, Interval, Alloc >> {
      // types
      typedef is_map< icl::interval_map< DomainT, CodomainT, Traits, Compare, Combine, Section, Interval, Alloc > > type;

      // public member functions
       BOOST_STATIC_CONSTANT(bool, value = true);
    };

## Description

### `is_map` public member functions

1.      BOOST_STATIC_CONSTANT(bool, value = true);